[Discuss] Apache Flex SDK Installer 3.3.1 RC1*

classic Classic list List threaded Threaded
10 messages Options
Reply | Threaded
Open this post in threaded view
|

[Discuss] Apache Flex SDK Installer 3.3.1 RC1*

piotrz
Hi,

This is official discuss thread! I need folks who try installer especially
on Windows with newest Apache Flex SDK.

Thanks,
--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*
Reply | Threaded
Open this post in threaded view
|

Re: [Discuss] Apache Flex SDK Installer 3.3.1 RC1*

piotrz
Hi Phil,

Can you try to install Apache Flex 4.16.1 with  Air 29 and report back to
me?

Thanks,
Piotr

On Mon, Apr 16, 2018, 11:15 PM Piotr Zarzycki <[hidden email]>
wrote:

> Hi,
>
> This is official discuss thread! I need folks who try installer especially
> on Windows with newest Apache Flex SDK.
>
> Thanks,
> --
>
> Piotr Zarzycki
>
> Patreon: *https://www.patreon.com/piotrzarzycki
> <https://www.patreon.com/piotrzarzycki>*
>
Reply | Threaded
Open this post in threaded view
|

Re: [Discuss] Apache Flex SDK Installer 3.3.1 RC1*

piotrz
Phil,

As for the passphrase - It's not about pass to the certificate. It was bout
passphrase to the signing key. I'm surprised that you couldn't overwrite
old version of the installer, assuming that you had previously 3.3.

Thanks,
Piotr

2018-04-17 7:17 GMT+02:00 Piotr Zarzycki <[hidden email]>:

> Hi Phil,
>
> Can you try to install Apache Flex 4.16.1 with  Air 29 and report back to
> me?
>
> Thanks,
> Piotr
>
> On Mon, Apr 16, 2018, 11:15 PM Piotr Zarzycki <[hidden email]>
> wrote:
>
>> Hi,
>>
>> This is official discuss thread! I need folks who try installer
>> especially on Windows with newest Apache Flex SDK.
>>
>> Thanks,
>> --
>>
>> Piotr Zarzycki
>>
>> Patreon: *https://www.patreon.com/piotrzarzycki
>> <https://www.patreon.com/piotrzarzycki>*
>>
>


--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*
Reply | Threaded
Open this post in threaded view
|

Re: [Discuss] Apache Flex SDK Installer 3.3.1 RC1*

OmPrakash Muppirala
Piotr,

I just tried this on Windows and I am getting the same error:

The application cannot be installed due to a certificate problem.  The
> certificate does not match the installed application certificate, does not
> support application upgrades, or is invalid.  Please contact the
> application author.


I have version 3.3.0 installed currently.

It appears that you might have used the wrong cert to sign the installer
binary.  Can you please double check?

Thanks,
Om

On Mon, Apr 16, 2018 at 10:48 PM, Piotr Zarzycki <[hidden email]>
wrote:

> Phil,
>
> As for the passphrase - It's not about pass to the certificate. It was bout
> passphrase to the signing key. I'm surprised that you couldn't overwrite
> old version of the installer, assuming that you had previously 3.3.
>
> Thanks,
> Piotr
>
> 2018-04-17 7:17 GMT+02:00 Piotr Zarzycki <[hidden email]>:
>
> > Hi Phil,
> >
> > Can you try to install Apache Flex 4.16.1 with  Air 29 and report back to
> > me?
> >
> > Thanks,
> > Piotr
> >
> > On Mon, Apr 16, 2018, 11:15 PM Piotr Zarzycki <[hidden email]
> >
> > wrote:
> >
> >> Hi,
> >>
> >> This is official discuss thread! I need folks who try installer
> >> especially on Windows with newest Apache Flex SDK.
> >>
> >> Thanks,
> >> --
> >>
> >> Piotr Zarzycki
> >>
> >> Patreon: *https://www.patreon.com/piotrzarzycki
> >> <https://www.patreon.com/piotrzarzycki>*
> >>
> >
>
>
> --
>
> Piotr Zarzycki
>
> Patreon: *https://www.patreon.com/piotrzarzycki
> <https://www.patreon.com/piotrzarzycki>*
>
Reply | Threaded
Open this post in threaded view
|

Re: [Discuss] Apache Flex SDK Installer 3.3.1 RC1*

piotrz
Om,

It looks like you are right. I did use proper one for Mac build, but I see
that those for Windows are not the right one. Sorry about that. I will cut
another RC! :/

Thanks,
Piotr

2018-04-17 8:04 GMT+02:00 OmPrakash Muppirala <[hidden email]>:

> Piotr,
>
> I just tried this on Windows and I am getting the same error:
>
> The application cannot be installed due to a certificate problem.  The
> > certificate does not match the installed application certificate, does
> not
> > support application upgrades, or is invalid.  Please contact the
> > application author.
>
>
> I have version 3.3.0 installed currently.
>
> It appears that you might have used the wrong cert to sign the installer
> binary.  Can you please double check?
>
> Thanks,
> Om
>
> On Mon, Apr 16, 2018 at 10:48 PM, Piotr Zarzycki <
> [hidden email]>
> wrote:
>
> > Phil,
> >
> > As for the passphrase - It's not about pass to the certificate. It was
> bout
> > passphrase to the signing key. I'm surprised that you couldn't overwrite
> > old version of the installer, assuming that you had previously 3.3.
> >
> > Thanks,
> > Piotr
> >
> > 2018-04-17 7:17 GMT+02:00 Piotr Zarzycki <[hidden email]>:
> >
> > > Hi Phil,
> > >
> > > Can you try to install Apache Flex 4.16.1 with  Air 29 and report back
> to
> > > me?
> > >
> > > Thanks,
> > > Piotr
> > >
> > > On Mon, Apr 16, 2018, 11:15 PM Piotr Zarzycki <
> [hidden email]
> > >
> > > wrote:
> > >
> > >> Hi,
> > >>
> > >> This is official discuss thread! I need folks who try installer
> > >> especially on Windows with newest Apache Flex SDK.
> > >>
> > >> Thanks,
> > >> --
> > >>
> > >> Piotr Zarzycki
> > >>
> > >> Patreon: *https://www.patreon.com/piotrzarzycki
> > >> <https://www.patreon.com/piotrzarzycki>*
> > >>
> > >
> >
> >
> > --
> >
> > Piotr Zarzycki
> >
> > Patreon: *https://www.patreon.com/piotrzarzycki
> > <https://www.patreon.com/piotrzarzycki>*
> >
>



--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*
Reply | Threaded
Open this post in threaded view
|

Re: [Discuss] Apache Flex SDK Installer 3.3.1 RC1*

OmPrakash Muppirala
Thank you!  I will be around for an hour or so.  I can help test if you put
out an RC in that duration.

Regards,
Om

On Mon, Apr 16, 2018 at 11:09 PM, Piotr Zarzycki <[hidden email]>
wrote:

> Om,
>
> It looks like you are right. I did use proper one for Mac build, but I see
> that those for Windows are not the right one. Sorry about that. I will cut
> another RC! :/
>
> Thanks,
> Piotr
>
> 2018-04-17 8:04 GMT+02:00 OmPrakash Muppirala <[hidden email]>:
>
> > Piotr,
> >
> > I just tried this on Windows and I am getting the same error:
> >
> > The application cannot be installed due to a certificate problem.  The
> > > certificate does not match the installed application certificate, does
> > not
> > > support application upgrades, or is invalid.  Please contact the
> > > application author.
> >
> >
> > I have version 3.3.0 installed currently.
> >
> > It appears that you might have used the wrong cert to sign the installer
> > binary.  Can you please double check?
> >
> > Thanks,
> > Om
> >
> > On Mon, Apr 16, 2018 at 10:48 PM, Piotr Zarzycki <
> > [hidden email]>
> > wrote:
> >
> > > Phil,
> > >
> > > As for the passphrase - It's not about pass to the certificate. It was
> > bout
> > > passphrase to the signing key. I'm surprised that you couldn't
> overwrite
> > > old version of the installer, assuming that you had previously 3.3.
> > >
> > > Thanks,
> > > Piotr
> > >
> > > 2018-04-17 7:17 GMT+02:00 Piotr Zarzycki <[hidden email]>:
> > >
> > > > Hi Phil,
> > > >
> > > > Can you try to install Apache Flex 4.16.1 with  Air 29 and report
> back
> > to
> > > > me?
> > > >
> > > > Thanks,
> > > > Piotr
> > > >
> > > > On Mon, Apr 16, 2018, 11:15 PM Piotr Zarzycki <
> > [hidden email]
> > > >
> > > > wrote:
> > > >
> > > >> Hi,
> > > >>
> > > >> This is official discuss thread! I need folks who try installer
> > > >> especially on Windows with newest Apache Flex SDK.
> > > >>
> > > >> Thanks,
> > > >> --
> > > >>
> > > >> Piotr Zarzycki
> > > >>
> > > >> Patreon: *https://www.patreon.com/piotrzarzycki
> > > >> <https://www.patreon.com/piotrzarzycki>*
> > > >>
> > > >
> > >
> > >
> > > --
> > >
> > > Piotr Zarzycki
> > >
> > > Patreon: *https://www.patreon.com/piotrzarzycki
> > > <https://www.patreon.com/piotrzarzycki>*
> > >
> >
>
>
>
> --
>
> Piotr Zarzycki
>
> Patreon: *https://www.patreon.com/piotrzarzycki
> <https://www.patreon.com/piotrzarzycki>*
>
Reply | Threaded
Open this post in threaded view
|

Re: [Discuss] Apache Flex SDK Installer 3.3.1 RC1*

piotrz
Something is not right even if I use good certs. I have installed 3.3.0
version, build with good certs and I'm getting the same error.



2018-04-17 8:12 GMT+02:00 OmPrakash Muppirala <[hidden email]>:

> Thank you!  I will be around for an hour or so.  I can help test if you put
> out an RC in that duration.
>
> Regards,
> Om
>
> On Mon, Apr 16, 2018 at 11:09 PM, Piotr Zarzycki <
> [hidden email]>
> wrote:
>
> > Om,
> >
> > It looks like you are right. I did use proper one for Mac build, but I
> see
> > that those for Windows are not the right one. Sorry about that. I will
> cut
> > another RC! :/
> >
> > Thanks,
> > Piotr
> >
> > 2018-04-17 8:04 GMT+02:00 OmPrakash Muppirala <[hidden email]>:
> >
> > > Piotr,
> > >
> > > I just tried this on Windows and I am getting the same error:
> > >
> > > The application cannot be installed due to a certificate problem.  The
> > > > certificate does not match the installed application certificate,
> does
> > > not
> > > > support application upgrades, or is invalid.  Please contact the
> > > > application author.
> > >
> > >
> > > I have version 3.3.0 installed currently.
> > >
> > > It appears that you might have used the wrong cert to sign the
> installer
> > > binary.  Can you please double check?
> > >
> > > Thanks,
> > > Om
> > >
> > > On Mon, Apr 16, 2018 at 10:48 PM, Piotr Zarzycki <
> > > [hidden email]>
> > > wrote:
> > >
> > > > Phil,
> > > >
> > > > As for the passphrase - It's not about pass to the certificate. It
> was
> > > bout
> > > > passphrase to the signing key. I'm surprised that you couldn't
> > overwrite
> > > > old version of the installer, assuming that you had previously 3.3.
> > > >
> > > > Thanks,
> > > > Piotr
> > > >
> > > > 2018-04-17 7:17 GMT+02:00 Piotr Zarzycki <[hidden email]
> >:
> > > >
> > > > > Hi Phil,
> > > > >
> > > > > Can you try to install Apache Flex 4.16.1 with  Air 29 and report
> > back
> > > to
> > > > > me?
> > > > >
> > > > > Thanks,
> > > > > Piotr
> > > > >
> > > > > On Mon, Apr 16, 2018, 11:15 PM Piotr Zarzycki <
> > > [hidden email]
> > > > >
> > > > > wrote:
> > > > >
> > > > >> Hi,
> > > > >>
> > > > >> This is official discuss thread! I need folks who try installer
> > > > >> especially on Windows with newest Apache Flex SDK.
> > > > >>
> > > > >> Thanks,
> > > > >> --
> > > > >>
> > > > >> Piotr Zarzycki
> > > > >>
> > > > >> Patreon: *https://www.patreon.com/piotrzarzycki
> > > > >> <https://www.patreon.com/piotrzarzycki>*
> > > > >>
> > > > >
> > > >
> > > >
> > > > --
> > > >
> > > > Piotr Zarzycki
> > > >
> > > > Patreon: *https://www.patreon.com/piotrzarzycki
> > > > <https://www.patreon.com/piotrzarzycki>*
> > > >
> > >
> >
> >
> >
> > --
> >
> > Piotr Zarzycki
> >
> > Patreon: *https://www.patreon.com/piotrzarzycki
> > <https://www.patreon.com/piotrzarzycki>*
> >
>



--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*
Reply | Threaded
Open this post in threaded view
|

Re: [Discuss] Apache Flex SDK Installer 3.3.1 RC1*

piotrz
I got it! I had issue with path. Sorry for the noise. I will try CUT RC2.

Thanks!
Piotr

2018-04-17 8:16 GMT+02:00 Piotr Zarzycki <[hidden email]>:

> Something is not right even if I use good certs. I have installed 3.3.0
> version, build with good certs and I'm getting the same error.
>
>
>
> 2018-04-17 8:12 GMT+02:00 OmPrakash Muppirala <[hidden email]>:
>
>> Thank you!  I will be around for an hour or so.  I can help test if you
>> put
>> out an RC in that duration.
>>
>> Regards,
>> Om
>>
>> On Mon, Apr 16, 2018 at 11:09 PM, Piotr Zarzycki <
>> [hidden email]>
>> wrote:
>>
>> > Om,
>> >
>> > It looks like you are right. I did use proper one for Mac build, but I
>> see
>> > that those for Windows are not the right one. Sorry about that. I will
>> cut
>> > another RC! :/
>> >
>> > Thanks,
>> > Piotr
>> >
>> > 2018-04-17 8:04 GMT+02:00 OmPrakash Muppirala <[hidden email]>:
>> >
>> > > Piotr,
>> > >
>> > > I just tried this on Windows and I am getting the same error:
>> > >
>> > > The application cannot be installed due to a certificate problem.  The
>> > > > certificate does not match the installed application certificate,
>> does
>> > > not
>> > > > support application upgrades, or is invalid.  Please contact the
>> > > > application author.
>> > >
>> > >
>> > > I have version 3.3.0 installed currently.
>> > >
>> > > It appears that you might have used the wrong cert to sign the
>> installer
>> > > binary.  Can you please double check?
>> > >
>> > > Thanks,
>> > > Om
>> > >
>> > > On Mon, Apr 16, 2018 at 10:48 PM, Piotr Zarzycki <
>> > > [hidden email]>
>> > > wrote:
>> > >
>> > > > Phil,
>> > > >
>> > > > As for the passphrase - It's not about pass to the certificate. It
>> was
>> > > bout
>> > > > passphrase to the signing key. I'm surprised that you couldn't
>> > overwrite
>> > > > old version of the installer, assuming that you had previously 3.3.
>> > > >
>> > > > Thanks,
>> > > > Piotr
>> > > >
>> > > > 2018-04-17 7:17 GMT+02:00 Piotr Zarzycki <[hidden email]
>> >:
>> > > >
>> > > > > Hi Phil,
>> > > > >
>> > > > > Can you try to install Apache Flex 4.16.1 with  Air 29 and report
>> > back
>> > > to
>> > > > > me?
>> > > > >
>> > > > > Thanks,
>> > > > > Piotr
>> > > > >
>> > > > > On Mon, Apr 16, 2018, 11:15 PM Piotr Zarzycki <
>> > > [hidden email]
>> > > > >
>> > > > > wrote:
>> > > > >
>> > > > >> Hi,
>> > > > >>
>> > > > >> This is official discuss thread! I need folks who try installer
>> > > > >> especially on Windows with newest Apache Flex SDK.
>> > > > >>
>> > > > >> Thanks,
>> > > > >> --
>> > > > >>
>> > > > >> Piotr Zarzycki
>> > > > >>
>> > > > >> Patreon: *https://www.patreon.com/piotrzarzycki
>> > > > >> <https://www.patreon.com/piotrzarzycki>*
>> > > > >>
>> > > > >
>> > > >
>> > > >
>> > > > --
>> > > >
>> > > > Piotr Zarzycki
>> > > >
>> > > > Patreon: *https://www.patreon.com/piotrzarzycki
>> > > > <https://www.patreon.com/piotrzarzycki>*
>> > > >
>> > >
>> >
>> >
>> >
>> > --
>> >
>> > Piotr Zarzycki
>> >
>> > Patreon: *https://www.patreon.com/piotrzarzycki
>> > <https://www.patreon.com/piotrzarzycki>*
>> >
>>
>
>
>
> --
>
> Piotr Zarzycki
>
> Patreon: *https://www.patreon.com/piotrzarzycki
> <https://www.patreon.com/piotrzarzycki>*
>



--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*
Reply | Threaded
Open this post in threaded view
|

Re: [Discuss] Apache Flex SDK Installer 3.3.1 RC1*

Phil Haeusler
In reply to this post by piotrz
Hi Piotr

Flex 4.16.1 / AIR 29 installs without problem

Unfortunately we are not in a position to move off 4.13 at present.

Phil


Installer version 3.3.1 (windows)
Using Locale: en_US
Fetched the SDK download mirror URL from the CGI.
SDK version Apache Flex SDK 4.16.1
AIR version 29.0
Flash Player version 29.0
Creating Apache Flex home
Creating temporary directory
Downloading Apache Flex SDK from:
http://apache.mirror.serversaustralia.com.au/flex/4.16.1/binaries/apache-flex-sdk-4.16.1-bin.zip
downloading
http://apache.mirror.serversaustralia.com.au/flex/4.16.1/binaries/apache-flex-sdk-4.16.1-bin.zip
using download cache
mirror caching.  url = flex/4.16.1/binaries/apache-flex-sdk-4.16.1-bin.zip
searching cache for
file:////Mac/Home/Downloads/Apache%20Flex%20Installer%20Cache/flex/4.16.1/binaries/apache-flex-sdk-4.16.1-bin.zip
download complete preparing to cache
mirror caching.  url = flex/4.16.1/binaries/apache-flex-sdk-4.16.1-bin.zip
caching
file:////Mac/Home/Downloads/Apache%20Flex%20Installer%20Cache/flex/4.16.1/binaries/apache-flex-sdk-4.16.1-bin.zip
Verifying Apache Flex SDK MD5 Signature
The Apache Flex SDK MD5 Signature of the downloaded files matches the
reference. The file is valid.
Uncompressing:
C:\flex-sdks\flex_sdk_4161_air29_win\temp\apache-flex-sdk-4.16.1-bin.zip
Finished uncompressing:
C:\flex-sdks\flex_sdk_4161_air29_win\temp\apache-flex-sdk-4.16.1-bin.zip
      [get] Getting
http://flex.apache.org/installer/properties/sdk/en_US.properties
      [get] To C:\flex-sdks\flex_sdk_4161_air29_win\en_US.properties

get-data:
      [get] Getting
http://flex.apache.org/installer/sdk-installer-config-4.0.xml?ts=201804170426
      [get] To
C:\flex-sdks\flex_sdk_4161_air29_win\sdk-installer-config-4.0.xml

get-air-md5-data:

get-flash-md5-data:

get-md5-data:

check-binary:

ask-air:

ask-flash:

ask-swfobject:

ask-ofl:

ask-adobe-osmf:

ask-adobe-fontswf:

ask-licenses:

ask-licenses:

air-check:

air-download:
    [mkdir] Created directory C:\flex-sdks\flex_sdk_4161_air29_win\in

air-get-check:

air-get:
Downloading Adobe AIR Runtime Kit for Windows from:
http://airdownload.adobe.com/air/win/download/29.0//AdobeAIRSDK.zip

download_air:

download_air_with_md5:

check-cache:

download_using_get:

get-if-not-cached:

copy-if-cached:
Using file from cache: \\Mac\Home\Downloads\Apache Flex Installer
Cache/air/win/download/29.0//AdobeAIRSDK.zip
     [copy] Copying 1 file to
C:\flex-sdks\flex_sdk_4161_air29_win\in\AdobeAIRSDK.zip

air-setup-win:
    [unzip] Expanding
C:\flex-sdks\flex_sdk_4161_air29_win\in\AdobeAIRSDK.zip into
C:\flex-sdks\flex_sdk_4161_air29_win\in\airsdk


    Directory: C:\flex-sdks\flex_sdk_4161_air29_win\in


Mode                LastWriteTime         Length Name

----                -------------         ------ ----

d-----          17/4/18   4:26 pm                airsdk

Finished uncompressing:
C:\flex-sdks\flex_sdk_4161_air29_win/in/AdobeAIRSDK.zip
     [copy] Copying 966 files to C:\flex-sdks\flex_sdk_4161_air29_win

air-setup-mac-init:

flash-check:

flash-download:
    [mkdir] Created directory C:\flex-sdks\flex_sdk_4161_air29_win\in
    [mkdir] Created directory
C:\flex-sdks\flex_sdk_4161_air29_win\frameworks\libs\player\29.0
Installing Adobe Flash Player playerglobal.swc from:
http://fpdownload.macromedia.com/get/flashplayer/updaters/29//playerglobal29_0.swc

download_flash:

download_flash_with_md5:

check-cache:

download_using_get:

get-if-not-cached:

copy-if-cached:
Using file from cache: \\Mac\Home\Downloads\Apache Flex Installer
Cache/get/flashplayer/updaters/29//playerglobal29_0.swc
     [copy] Copying 1 file to
C:\flex-sdks\flex_sdk_4161_air29_win\frameworks\libs\player\29.0\playerglobal.swc

swfobject-check:

swfobject-download:
   [delete] Deleting file
C:\flex-sdks\flex_sdk_4161_air29_win\swfobject.properties
Downloading 2.2.zip from: https://github.com/swfobject/swfobject/archive
    [mkdir] Created directory C:\flex-sdks\flex_sdk_4161_air29_win\in

check-cache:

download_using_get:

get-if-not-cached:

copy-if-cached:
Using file from cache: \\Mac\Home\Downloads\Apache Flex Installer
Cache/swfobject/swfobject/archive/2.2.zip
     [copy] Copying 1 file to
C:\flex-sdks\flex_sdk_4161_air29_win\in\swfobject_2_2.zip
Download complete
    [mkdir] Created directory
C:\flex-sdks\flex_sdk_4161_air29_win\in\swfobject
    [unzip] Expanding
C:\flex-sdks\flex_sdk_4161_air29_win\in\swfobject_2_2.zip into
C:\flex-sdks\flex_sdk_4161_air29_win\in\swfobject


    Directory: C:\flex-sdks\flex_sdk_4161_air29_win\in



Mode                LastWriteTime         Length Name

----                -------------         ------ ----

d-----          17/4/18   4:27 pm                swfobject

    [mkdir] Created directory
C:\flex-sdks\flex_sdk_4161_air29_win\templates\swfobject
     [copy] Copying 1 file to
C:\flex-sdks\flex_sdk_4161_air29_win\templates\swfobject\expressInstall.swf
     [copy] Copying 1 file to
C:\flex-sdks\flex_sdk_4161_air29_win\templates\swfobject\swfobject.js
    [mkdir] Created directory
C:\flex-sdks\flex_sdk_4161_air29_win\frameworks\javascript\fabridge\samples\fabridge\swfobject
     [copy] Copying 1 file to
C:\flex-sdks\flex_sdk_4161_air29_win\frameworks\javascript\fabridge\samples\fabridge\swfobject\swfobject.js

osmf-check:

osmf-download:
   [delete] Deleting file
C:\flex-sdks\flex_sdk_4161_air29_win\osmf.properties
Downloading OSMF2_0.swc?format=raw from:
http://sourceforge.net/adobe/flexsdk/code/HEAD/tree/trunk/frameworks/libs
    [mkdir] Created directory
C:\flex-sdks\flex_sdk_4161_air29_win\frameworks\libs

check-cache:

download_using_get:

get-if-not-cached:

copy-if-cached:
Using file from cache: \\Mac\Home\Downloads\Apache Flex Installer
Cache/adobe/flexsdk/code/HEAD/tree/trunk/frameworks/libs/OSMF.swc
     [copy] Copying 1 file to
C:\flex-sdks\flex_sdk_4161_air29_win\frameworks\libs\osmf.swc
    [unzip] Expanding
C:\flex-sdks\flex_sdk_4161_air29_win\frameworks\libs\osmf.swc into
C:\flex-sdks\flex_sdk_4161_air29_win\in
     [copy] Copying 1 file to
C:\flex-sdks\flex_sdk_4161_air29_win\frameworks\rsls\osmf_4.16.1.20171115.swf

fontswf-check:

fontswf-download:
   [delete] Deleting file
C:\flex-sdks\flex_sdk_4161_air29_win\afe.properties
Downloading afe.jar?format=raw from:
http://sourceforge.net/adobe/flexsdk/code/HEAD/tree/trunk/lib
    [mkdir] Created directory
C:\flex-sdks\flex_sdk_4161_air29_win\lib\external\optional

check-cache:

download_using_get:

get-if-not-cached:

copy-if-cached:
Using file from cache: \\Mac\Home\Downloads\Apache Flex Installer
Cache/adobe/flexsdk/code/HEAD/tree/trunk/lib/afe.jar
     [copy] Copying 1 file to
C:\flex-sdks\flex_sdk_4161_air29_win\lib\external\optional\afe.jar
   [delete] Deleting file
C:\flex-sdks\flex_sdk_4161_air29_win\agl.properties
Downloading aglj40.jar?format=raw from:
http://sourceforge.net/adobe/flexsdk/code/HEAD/tree/trunk/lib

check-cache:

download_using_get:

get-if-not-cached:

copy-if-cached:
Using file from cache: \\Mac\Home\Downloads\Apache Flex Installer
Cache/adobe/flexsdk/code/HEAD/tree/trunk/lib/aglj40.jar
     [copy] Copying 1 file to
C:\flex-sdks\flex_sdk_4161_air29_win\lib\external\optional\aglj40.jar
   [delete] Deleting file
C:\flex-sdks\flex_sdk_4161_air29_win\fontkit.properties
Downloading flex-fontkit.jar?format=raw from:
http://sourceforge.net/adobe/flexsdk/code/HEAD/tree/trunk/lib

check-cache:

download_using_get:

get-if-not-cached:

copy-if-cached:
Using file from cache: \\Mac\Home\Downloads\Apache Flex Installer
Cache/adobe/flexsdk/code/HEAD/tree/trunk/lib/flex-fontkit.jar
     [copy] Copying 1 file to
C:\flex-sdks\flex_sdk_4161_air29_win\lib\external\optional\flex-fontkit.jar
   [delete] Deleting file
C:\flex-sdks\flex_sdk_4161_air29_win\rideau.properties
Downloading rideau.jar?format=raw from:
http://sourceforge.net/adobe/flexsdk/code/HEAD/tree/trunk/lib

check-cache:

download_using_get:

get-if-not-cached:

copy-if-cached:
Using file from cache: \\Mac\Home\Downloads\Apache Flex Installer
Cache/adobe/flexsdk/code/HEAD/tree/trunk/lib/rideau.jar
     [copy] Copying 1 file to
C:\flex-sdks\flex_sdk_4161_air29_win\lib\external\optional\rideau.jar
     [copy] Copying 1 file to
C:\flex-sdks\flex_sdk_4161_air29_win\lib\external\optional\swfutils.jar

get-third-party-files:

flex-sdk-description-flash:

flex-sdk-description-air:

fixup-config-files:
Installing frameworks configuration files configured for use with an IDE

fixup-config-files-version:

fixup-config-files-swfversion:
     [copy] Copying 1 file to
C:\flex-sdks\flex_sdk_4161_air29_win\ide\flashbuilder\config\flex-config.xml
     [copy] Copying 1 file to
C:\flex-sdks\flex_sdk_4161_air29_win\ide\flashbuilder\config\air-config.xml
     [copy] Copying 1 file to
C:\flex-sdks\flex_sdk_4161_air29_win\ide\flashbuilder\config\airmobile-config.xml

install:
   [delete] Deleting directory C:\flex-sdks\flex_sdk_4161_air29_win\in
C:\flex-sdks\flex_sdk_4161_air29_win is now an IDE compatible folder
Installation complete


On 17 April 2018 at 15:48, Piotr Zarzycki <[hidden email]> wrote:

> Phil,
>
> As for the passphrase - It's not about pass to the certificate. It was bout
> passphrase to the signing key. I'm surprised that you couldn't overwrite
> old version of the installer, assuming that you had previously 3.3.
>
> Thanks,
> Piotr
>
> 2018-04-17 7:17 GMT+02:00 Piotr Zarzycki <[hidden email]>:
>
> > Hi Phil,
> >
> > Can you try to install Apache Flex 4.16.1 with  Air 29 and report back to
> > me?
> >
> > Thanks,
> > Piotr
> >
> > On Mon, Apr 16, 2018, 11:15 PM Piotr Zarzycki <[hidden email]
> >
> > wrote:
> >
> >> Hi,
> >>
> >> This is official discuss thread! I need folks who try installer
> >> especially on Windows with newest Apache Flex SDK.
> >>
> >> Thanks,
> >> --
> >>
> >> Piotr Zarzycki
> >>
> >> Patreon: *https://www.patreon.com/piotrzarzycki
> >> <https://www.patreon.com/piotrzarzycki>*
> >>
> >
>
>
> --
>
> Piotr Zarzycki
>
> Patreon: *https://www.patreon.com/piotrzarzycki
> <https://www.patreon.com/piotrzarzycki>*
>
Reply | Threaded
Open this post in threaded view
|

Re: [Discuss] Apache Flex SDK Installer 3.3.1 RC1*

piotrz
Phil,

I have good news. I was able to fix your issue! Installer RC2 is on the
way! :)

Many Thanks for pointing it!
Piotr

2018-04-17 8:31 GMT+02:00 Phil Haeusler <[hidden email]>:

> Hi Piotr
>
> Flex 4.16.1 / AIR 29 installs without problem
>
> Unfortunately we are not in a position to move off 4.13 at present.
>
> Phil
>
>
> Installer version 3.3.1 (windows)
> Using Locale: en_US
> Fetched the SDK download mirror URL from the CGI.
> SDK version Apache Flex SDK 4.16.1
> AIR version 29.0
> Flash Player version 29.0
> Creating Apache Flex home
> Creating temporary directory
> Downloading Apache Flex SDK from:
> http://apache.mirror.serversaustralia.com.au/flex/
> 4.16.1/binaries/apache-flex-sdk-4.16.1-bin.zip
> downloading
> http://apache.mirror.serversaustralia.com.au/flex/
> 4.16.1/binaries/apache-flex-sdk-4.16.1-bin.zip
> using download cache
> mirror caching.  url = flex/4.16.1/binaries/apache-flex-sdk-4.16.1-bin.zip
> searching cache for
> file:////Mac/Home/Downloads/Apache%20Flex%20Installer%
> 20Cache/flex/4.16.1/binaries/apache-flex-sdk-4.16.1-bin.zip
> download complete preparing to cache
> mirror caching.  url = flex/4.16.1/binaries/apache-flex-sdk-4.16.1-bin.zip
> caching
> file:////Mac/Home/Downloads/Apache%20Flex%20Installer%
> 20Cache/flex/4.16.1/binaries/apache-flex-sdk-4.16.1-bin.zip
> Verifying Apache Flex SDK MD5 Signature
> The Apache Flex SDK MD5 Signature of the downloaded files matches the
> reference. The file is valid.
> Uncompressing:
> C:\flex-sdks\flex_sdk_4161_air29_win\temp\apache-flex-sdk-4.16.1-bin.zip
> Finished uncompressing:
> C:\flex-sdks\flex_sdk_4161_air29_win\temp\apache-flex-sdk-4.16.1-bin.zip
>       [get] Getting
> http://flex.apache.org/installer/properties/sdk/en_US.properties
>       [get] To C:\flex-sdks\flex_sdk_4161_air29_win\en_US.properties
>
> get-data:
>       [get] Getting
> http://flex.apache.org/installer/sdk-installer-
> config-4.0.xml?ts=201804170426
>       [get] To
> C:\flex-sdks\flex_sdk_4161_air29_win\sdk-installer-config-4.0.xml
>
> get-air-md5-data:
>
> get-flash-md5-data:
>
> get-md5-data:
>
> check-binary:
>
> ask-air:
>
> ask-flash:
>
> ask-swfobject:
>
> ask-ofl:
>
> ask-adobe-osmf:
>
> ask-adobe-fontswf:
>
> ask-licenses:
>
> ask-licenses:
>
> air-check:
>
> air-download:
>     [mkdir] Created directory C:\flex-sdks\flex_sdk_4161_air29_win\in
>
> air-get-check:
>
> air-get:
> Downloading Adobe AIR Runtime Kit for Windows from:
> http://airdownload.adobe.com/air/win/download/29.0//AdobeAIRSDK.zip
>
> download_air:
>
> download_air_with_md5:
>
> check-cache:
>
> download_using_get:
>
> get-if-not-cached:
>
> copy-if-cached:
> Using file from cache: \\Mac\Home\Downloads\Apache Flex Installer
> Cache/air/win/download/29.0//AdobeAIRSDK.zip
>      [copy] Copying 1 file to
> C:\flex-sdks\flex_sdk_4161_air29_win\in\AdobeAIRSDK.zip
>
> air-setup-win:
>     [unzip] Expanding
> C:\flex-sdks\flex_sdk_4161_air29_win\in\AdobeAIRSDK.zip into
> C:\flex-sdks\flex_sdk_4161_air29_win\in\airsdk
>
>
>     Directory: C:\flex-sdks\flex_sdk_4161_air29_win\in
>
>
> Mode                LastWriteTime         Length Name
>
> ----                -------------         ------ ----
>
> d-----          17/4/18   4:26 pm                airsdk
>
> Finished uncompressing:
> C:\flex-sdks\flex_sdk_4161_air29_win/in/AdobeAIRSDK.zip
>      [copy] Copying 966 files to C:\flex-sdks\flex_sdk_4161_air29_win
>
> air-setup-mac-init:
>
> flash-check:
>
> flash-download:
>     [mkdir] Created directory C:\flex-sdks\flex_sdk_4161_air29_win\in
>     [mkdir] Created directory
> C:\flex-sdks\flex_sdk_4161_air29_win\frameworks\libs\player\29.0
> Installing Adobe Flash Player playerglobal.swc from:
> http://fpdownload.macromedia.com/get/flashplayer/updaters/
> 29//playerglobal29_0.swc
>
> download_flash:
>
> download_flash_with_md5:
>
> check-cache:
>
> download_using_get:
>
> get-if-not-cached:
>
> copy-if-cached:
> Using file from cache: \\Mac\Home\Downloads\Apache Flex Installer
> Cache/get/flashplayer/updaters/29//playerglobal29_0.swc
>      [copy] Copying 1 file to
> C:\flex-sdks\flex_sdk_4161_air29_win\frameworks\libs\
> player\29.0\playerglobal.swc
>
> swfobject-check:
>
> swfobject-download:
>    [delete] Deleting file
> C:\flex-sdks\flex_sdk_4161_air29_win\swfobject.properties
> Downloading 2.2.zip from: https://github.com/swfobject/swfobject/archive
>     [mkdir] Created directory C:\flex-sdks\flex_sdk_4161_air29_win\in
>
> check-cache:
>
> download_using_get:
>
> get-if-not-cached:
>
> copy-if-cached:
> Using file from cache: \\Mac\Home\Downloads\Apache Flex Installer
> Cache/swfobject/swfobject/archive/2.2.zip
>      [copy] Copying 1 file to
> C:\flex-sdks\flex_sdk_4161_air29_win\in\swfobject_2_2.zip
> Download complete
>     [mkdir] Created directory
> C:\flex-sdks\flex_sdk_4161_air29_win\in\swfobject
>     [unzip] Expanding
> C:\flex-sdks\flex_sdk_4161_air29_win\in\swfobject_2_2.zip into
> C:\flex-sdks\flex_sdk_4161_air29_win\in\swfobject
>
>
>     Directory: C:\flex-sdks\flex_sdk_4161_air29_win\in
>
>
>
> Mode                LastWriteTime         Length Name
>
> ----                -------------         ------ ----
>
> d-----          17/4/18   4:27 pm                swfobject
>
>     [mkdir] Created directory
> C:\flex-sdks\flex_sdk_4161_air29_win\templates\swfobject
>      [copy] Copying 1 file to
> C:\flex-sdks\flex_sdk_4161_air29_win\templates\swfobject\
> expressInstall.swf
>      [copy] Copying 1 file to
> C:\flex-sdks\flex_sdk_4161_air29_win\templates\swfobject\swfobject.js
>     [mkdir] Created directory
> C:\flex-sdks\flex_sdk_4161_air29_win\frameworks\
> javascript\fabridge\samples\fabridge\swfobject
>      [copy] Copying 1 file to
> C:\flex-sdks\flex_sdk_4161_air29_win\frameworks\
> javascript\fabridge\samples\fabridge\swfobject\swfobject.js
>
> osmf-check:
>
> osmf-download:
>    [delete] Deleting file
> C:\flex-sdks\flex_sdk_4161_air29_win\osmf.properties
> Downloading OSMF2_0.swc?format=raw from:
> http://sourceforge.net/adobe/flexsdk/code/HEAD/tree/trunk/frameworks/libs
>     [mkdir] Created directory
> C:\flex-sdks\flex_sdk_4161_air29_win\frameworks\libs
>
> check-cache:
>
> download_using_get:
>
> get-if-not-cached:
>
> copy-if-cached:
> Using file from cache: \\Mac\Home\Downloads\Apache Flex Installer
> Cache/adobe/flexsdk/code/HEAD/tree/trunk/frameworks/libs/OSMF.swc
>      [copy] Copying 1 file to
> C:\flex-sdks\flex_sdk_4161_air29_win\frameworks\libs\osmf.swc
>     [unzip] Expanding
> C:\flex-sdks\flex_sdk_4161_air29_win\frameworks\libs\osmf.swc into
> C:\flex-sdks\flex_sdk_4161_air29_win\in
>      [copy] Copying 1 file to
> C:\flex-sdks\flex_sdk_4161_air29_win\frameworks\rsls\
> osmf_4.16.1.20171115.swf
>
> fontswf-check:
>
> fontswf-download:
>    [delete] Deleting file
> C:\flex-sdks\flex_sdk_4161_air29_win\afe.properties
> Downloading afe.jar?format=raw from:
> http://sourceforge.net/adobe/flexsdk/code/HEAD/tree/trunk/lib
>     [mkdir] Created directory
> C:\flex-sdks\flex_sdk_4161_air29_win\lib\external\optional
>
> check-cache:
>
> download_using_get:
>
> get-if-not-cached:
>
> copy-if-cached:
> Using file from cache: \\Mac\Home\Downloads\Apache Flex Installer
> Cache/adobe/flexsdk/code/HEAD/tree/trunk/lib/afe.jar
>      [copy] Copying 1 file to
> C:\flex-sdks\flex_sdk_4161_air29_win\lib\external\optional\afe.jar
>    [delete] Deleting file
> C:\flex-sdks\flex_sdk_4161_air29_win\agl.properties
> Downloading aglj40.jar?format=raw from:
> http://sourceforge.net/adobe/flexsdk/code/HEAD/tree/trunk/lib
>
> check-cache:
>
> download_using_get:
>
> get-if-not-cached:
>
> copy-if-cached:
> Using file from cache: \\Mac\Home\Downloads\Apache Flex Installer
> Cache/adobe/flexsdk/code/HEAD/tree/trunk/lib/aglj40.jar
>      [copy] Copying 1 file to
> C:\flex-sdks\flex_sdk_4161_air29_win\lib\external\optional\aglj40.jar
>    [delete] Deleting file
> C:\flex-sdks\flex_sdk_4161_air29_win\fontkit.properties
> Downloading flex-fontkit.jar?format=raw from:
> http://sourceforge.net/adobe/flexsdk/code/HEAD/tree/trunk/lib
>
> check-cache:
>
> download_using_get:
>
> get-if-not-cached:
>
> copy-if-cached:
> Using file from cache: \\Mac\Home\Downloads\Apache Flex Installer
> Cache/adobe/flexsdk/code/HEAD/tree/trunk/lib/flex-fontkit.jar
>      [copy] Copying 1 file to
> C:\flex-sdks\flex_sdk_4161_air29_win\lib\external\
> optional\flex-fontkit.jar
>    [delete] Deleting file
> C:\flex-sdks\flex_sdk_4161_air29_win\rideau.properties
> Downloading rideau.jar?format=raw from:
> http://sourceforge.net/adobe/flexsdk/code/HEAD/tree/trunk/lib
>
> check-cache:
>
> download_using_get:
>
> get-if-not-cached:
>
> copy-if-cached:
> Using file from cache: \\Mac\Home\Downloads\Apache Flex Installer
> Cache/adobe/flexsdk/code/HEAD/tree/trunk/lib/rideau.jar
>      [copy] Copying 1 file to
> C:\flex-sdks\flex_sdk_4161_air29_win\lib\external\optional\rideau.jar
>      [copy] Copying 1 file to
> C:\flex-sdks\flex_sdk_4161_air29_win\lib\external\optional\swfutils.jar
>
> get-third-party-files:
>
> flex-sdk-description-flash:
>
> flex-sdk-description-air:
>
> fixup-config-files:
> Installing frameworks configuration files configured for use with an IDE
>
> fixup-config-files-version:
>
> fixup-config-files-swfversion:
>      [copy] Copying 1 file to
> C:\flex-sdks\flex_sdk_4161_air29_win\ide\flashbuilder\
> config\flex-config.xml
>      [copy] Copying 1 file to
> C:\flex-sdks\flex_sdk_4161_air29_win\ide\flashbuilder\
> config\air-config.xml
>      [copy] Copying 1 file to
> C:\flex-sdks\flex_sdk_4161_air29_win\ide\flashbuilder\
> config\airmobile-config.xml
>
> install:
>    [delete] Deleting directory C:\flex-sdks\flex_sdk_4161_air29_win\in
> C:\flex-sdks\flex_sdk_4161_air29_win is now an IDE compatible folder
> Installation complete
>
>
> On 17 April 2018 at 15:48, Piotr Zarzycki <[hidden email]>
> wrote:
>
> > Phil,
> >
> > As for the passphrase - It's not about pass to the certificate. It was
> bout
> > passphrase to the signing key. I'm surprised that you couldn't overwrite
> > old version of the installer, assuming that you had previously 3.3.
> >
> > Thanks,
> > Piotr
> >
> > 2018-04-17 7:17 GMT+02:00 Piotr Zarzycki <[hidden email]>:
> >
> > > Hi Phil,
> > >
> > > Can you try to install Apache Flex 4.16.1 with  Air 29 and report back
> to
> > > me?
> > >
> > > Thanks,
> > > Piotr
> > >
> > > On Mon, Apr 16, 2018, 11:15 PM Piotr Zarzycki <
> [hidden email]
> > >
> > > wrote:
> > >
> > >> Hi,
> > >>
> > >> This is official discuss thread! I need folks who try installer
> > >> especially on Windows with newest Apache Flex SDK.
> > >>
> > >> Thanks,
> > >> --
> > >>
> > >> Piotr Zarzycki
> > >>
> > >> Patreon: *https://www.patreon.com/piotrzarzycki
> > >> <https://www.patreon.com/piotrzarzycki>*
> > >>
> > >
> >
> >
> > --
> >
> > Piotr Zarzycki
> >
> > Patreon: *https://www.patreon.com/piotrzarzycki
> > <https://www.patreon.com/piotrzarzycki>*
> >
>



--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*